Subject: bug#78946: 30.1; accept-process-output not allowed in threads on macOS

From: John Wiegley <[email-masked]>
Date: Thu, 03 Jul 2025 23:34:04 -0700

>>>>> Eli Zaretskii <[email-masked]> writes:

>> By stall I mean it shows a “spinning cursor of death” and will never recover.

> What does it mean in terms of what the Emacs threads do at that time? I
> don't think I understand that from the fact that you see that spinning
> cursor. Does Apple document when it is shown?

I don’t know what Emacs is doing at that time, because all I see is a frozen
frame and a colorful spinning cursor, and in lldb I’m seeing an exception
being reported over and over again. I have no further information,
unfortunately.

Applying the fix that Robert suggested resolves the problem, so I think it’s
pretty clear that what’s happening is that a call is being made that can only
happen in the main thread.

John